using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading;
using System.Threading.Tasks;

namespace Props.Shop.Framework
{
    public interface IShop : IDisposable
    {
        string ShopName { get; }
        string ShopDescription { get; }
        string ShopModuleAuthor { get; }

        public IEnumerable<ProductListing> Search(string query, Filters filters);

        void Initialize(string workspaceDir);
        Task InitializeAsync(string workspaceDir);
        public SupportedFeatures SupportedFeatures { get; }
    }
}